package cz.senslog.connector.fetch.fieldclimate.auth;

import cz.senslog.connector.model.config.PropertyConfig;

/**
 * The class {@code AuthConfig} represents a configuration class for the {@link AuthenticationService}.
 *
 * @author Lukas Cerny
 * @version 1.0
 * @since 1.0
 */
public class AuthConfig {

    private final String publicKey;
    private final String privateKey;

    /**
     * Constructor sets class attributes from input configuration class {@link PropertyConfig}.
     * @param config - configuration
     */
    public AuthConfig(PropertyConfig config) {
        this.publicKey = config.getStringProperty("publicKey");
        this.privateKey = config.getStringProperty("privateKey");
    }

    public String getPublicKey() {
        return publicKey;
    }

    public String getPrivateKey() {
        return privateKey;
    }
}
